Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001675TestLinkReportspublic2008-08-18 22:232008-11-07 19:45
Reporterhadzija 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 Beta 2 
Fixed in Version1.8 Beta 3 
Summary0001675: Not possible to print test plan
DescriptionIt is not possible to print test plan in Test reports and Metrics.

Repro:
Click on Test Plan.

Actual:
See attached file.

Expected:
It should display a tree view to select level of the report to print.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon testplan_issue.PNG [^] (99,059 bytes) 2008-08-18 22:23


zip file icon printDocOptions.zip [^] (2,021 bytes) 2008-08-19 21:26
png file icon GenerateTCSpec.png [^] (32,413 bytes) 2008-08-20 16:06


zip file icon fix.zip [^] (14,213 bytes) 2008-08-22 00:04

- Relationships

-  Notes
(0003975)
fman (administrator)
2008-08-19 21:25
edited on: 2008-08-19 21:26

I found this bug today.
First solution:
use attache file and do not use EXTJS as tree type

Please let us know if this solves this bug

(0003977)
hadzija (reporter)
2008-08-20 15:44

The attached version of printDocOptions solved this issue.
(0003978)
hadzija (reporter)
2008-08-20 16:06

After updating with the attached printDocOptions.php the print option on Generate Test Specification Document generates the same issue as reported on Test reports and Metrics. See attached file GenerateTCSpec.png.
(0003982)
fman (administrator)
2008-08-20 20:58

1. problem on testplan print is solved?
2. regarding test project spec: I'm working on this bug
(0003991)
hadzija (reporter)
2008-08-21 13:51

1. That is correct.
2. Nice!
(0003995)
fman (administrator)
2008-08-22 00:04
edited on: 2008-08-22 00:04

please try with attached files using EXTJS as tree type and let us know

(0004037)
hadzija (reporter)
2008-09-03 18:53

Sorry for the delay.

I have tested with the supplied fix.zip and both "Print Test Plan" and "Generate Test Specification document" now works as expected.

- Issue History
Date Modified Username Field Change
2008-08-18 22:23 hadzija New Issue
2008-08-18 22:23 hadzija File Added: testplan_issue.PNG
2008-08-19 21:25 fman Note Added: 0003975
2008-08-19 21:26 fman File Added: printDocOptions.zip
2008-08-19 21:26 fman Note Edited: 0003975
2008-08-19 23:39 fman Status new => acknowledged
2008-08-20 15:44 hadzija Note Added: 0003977
2008-08-20 16:06 hadzija Note Added: 0003978
2008-08-20 16:06 hadzija File Added: GenerateTCSpec.png
2008-08-20 20:58 fman Note Added: 0003982
2008-08-21 13:51 hadzija Note Added: 0003991
2008-08-22 00:04 fman File Added: fix.zip
2008-08-22 00:04 fman Note Added: 0003995
2008-08-22 00:04 fman Note Edited: 0003995
2008-09-03 18:53 hadzija Note Added: 0004037
2008-09-03 19:03 fman Status acknowledged => resolved
2008-09-03 19:03 fman Fixed in Version => next development 1.8 RC 1
2008-09-03 19:03 fman Resolution open => fixed
2008-09-03 19:03 fman Assigned To => fman
2008-09-16 02:31 mhavlat Fixed in Version next development 1.8 RC 1 => 1.8 Beta 3
2008-11-07 19:45 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker